<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails;

class ReiterView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/kursdetails/reiter.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    return array($this->viewModel->kurs);
  }

  protected function getHeaderExportAdapter()
  {
    return new \ExpKurse();
  }

  protected function getBodyDataModulArray()
  {
    
    
    return $this->viewModel->reiter;
  }

  protected function getFooterDataModulArray()
  {
    return array($this->viewModel->kurs);
  }

  protected function getFooterExportAdapter()
  {
    return new \ExpKurse();
  }
}

class ReiterViewModel
{
  public $reiter;
  public $kurs;
}